Blank screen 90 sec boot delay

Bug #1599110 reported by Cliff Carson on 2016-07-05
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned

Bug Description

Tried to document this problem under bug 1559595 but have been requested to submit a new bug.

Been having an intermittent problem booting (started on 16.04 and continues across multiple system rebuilds and 16.10) where just after entering my PW the screen goes blank for about 90 seconds. After that interval the normal desktop appears and all is well. Will supply a journal boot log of a failing boot (boot_0704.txt) and a normal boot log (boot_0704_good.txt). Do see in the failing log and all others that I have looked at a gnome-session timeout (time 06:16:41). Don't see this type of entry in the good log but haven't examined many non-failure logs.

ProblemType: Bug
DistroRelease: Ubuntu 16.10
Package: linux-image-4.4.0-30-generic 4.4.0-30.49
ProcVersionSignature: Ubuntu 4.4.0-30.49-generic 4.4.13
Uname: Linux 4.4.0-30-generic x86_64
ApportVersion: 2.20.2-0ubuntu1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: cliff 3761 F.... pulseaudio
 /dev/snd/controlC2: cliff 3761 F.... pulseaudio
 /dev/snd/controlC1: cliff 3761 F.... pulseaudio
CurrentDesktop: GNOME
Date: Tue Jul 5 06:19:34 2016
HibernationDevice: RESUME=UUID=51013622-8d36-45f8-89d8-8dc36d3b5ac5
InstallationDate: Installed on 2016-05-30 (35 days ago)
InstallationMedia: Ubuntu-GNOME 16.10 "Yakkety Yak" - Alpha amd64 (20160529)
MachineType: ASUS All Series
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-30-generic root=UUID=375f8904-0bcb-4f0b-bd19-2a200ca1db5a ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.4.0-30-generic N/A
 linux-backports-modules-4.4.0-30-generic N/A
 linux-firmware 1.158
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 09/30/2014
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 2012
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: Z97-A
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr2012:bd09/30/2014:svnASUS:pnAllSeries:pvrSystemVersion:rvnASUSTeKCOMPUTERINC.:rnZ97-A:rvrRev1.xx:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: All Series
dmi.product.version: System Version
dmi.sys.vendor: ASUS

Cliff Carson (ccarson1) wrote :
Cliff Carson (ccarson1) wrote :

Adding good boot journal

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
tags: added: bios-outdated-2801 xenial
Changed in linux (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete
Cliff Carson (ccarson1) wrote :

Updated BIOS and the initial reboot of Ubuntu after update had a 90 delay the second boot did not. This is unchanged from prior to the BIOS update. Here is the output of the commands...

cliff@Desktopps:~$ sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
[sudo] password for cliff:
2801
11/11/2015
cliff@Desktopps:~$

Only difference noticed was that the boot seem faster.

Changed in linux (Ubuntu):
status: Incomplete → New
Brad Figg (brad-figg) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

Cliff Carson, which release did you update from where this issue was not reproducible?

tags: added: latest-bios-2801
removed: bios-outdated-2801
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Cliff Carson (ccarson1) wrote :

I've been seeing this problem on my desktop since after 16.04 was released. Thinking that bug 1559595 could be my problem I appended on 3/26/16. Since this is intermittent I can't say for certain that any release update since March has not failed on this desktop. Run the same 16.04 distribution on my laptop and never seen this problem.

Cliff Carson (ccarson1) wrote :

Christopher, re-read your question and don't think my last post was clear. I have for many releases install and ran pre-Alpha release on this desktop. If I see a problem I try to document it so I think I first saw this problem after an update to pre-release 16.04 but not before. Since I try to document any failures I see it must have near the March 2016 time frame that I first saw this.

Cliff Carson, to clarify, the last Ubuntu release this didn't happen with was 15.10?

Cliff Carson (ccarson1) wrote :

Yes, I don't recall seeing this on 15.10 and I think that I had early Alpha load of 16.04 this didn't occur on.

Cliff Carson, in order to allow additional upstream developers to examine the issue, at your earliest convenience, could you please test the latest upstream kernel available from http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=N;O=D ? Please keep in mind the following:
1) The one to test is at the very top line at the top of the page (not the daily folder).
2) The release names are irrelevant.
3) The folder time stamps aren't indicative of when the kernel actually was released upstream.
4) Install instructions are available at https://wiki.ubuntu.com/Kernel/MainlineBuilds .

If testing on your main install would be inconvenient, one may:
1) Install Ubuntu to a different partition and then test this there.
2) Backup, or clone the primary install.

If the latest kernel did not allow you to test to the issue (ex. you couldn't boot into the OS) please make a comment in your report about this, and continue to test the next most recent kernel version until you can test to the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this issue is fixed in the mainline kernel, please add the following tags by clicking on the yellow circle with a black pencil icon, next to the word Tags, located at the bottom of the report description:
kernel-fixed-upstream
kernel-fixed-upstream-X.Y-rcZ

Where X, and Y are the first two numbers of the kernel version, and Z is the release candidate number if it exists.

If the mainline kernel does not fix the issue, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-X.Y-rcZ

Please note, an error to install the kernel does not fit the criteria of kernel-bug-exists-upstream.

Also, you don't need to apport-collect further unless specifically requested to do so.

Once testing of the latest upstream kernel is complete, please mark this report Status Confirmed. Please let us know your results.

Thank you for your understanding.

tags: added: needs-bisect regression-release
Cliff Carson (ccarson1) wrote :

Christopher, want to see if there is an additional failure after removing an autostart desktop file. The journal indicates a problem in gnome-session and indeed gsm-manager.c issues the failure message
"WARNING: Application 'at-spi-dbus-bus.desktop' failed to register before timeout" after a 90 second delay. Looking back in the journal at about 90 seconds prior gnome-sessions had a problem with an ~/.config/autostart file 553047C893AEAF57E8DFE7143352B56DAC0A3820.chromium-service.desktop. No idea what this file is but since it causing a failure in gnome-session manager I'm removing it. If I see additional failures after this removal will follow your suggestions in comment #12.

Cliff Carson (ccarson1) wrote :

Have yet to see a 90 sec boot delay since removing the .desktop autostart file.

Cliff Carson (ccarson1) wrote :

Had another 90 sec delay during boot and the chromium-service.desktop is not there. Looking again at the journal again there is another warning that occurs about 90 sec prior to the "timeout" message.

Jul 12 08:32:13 Desktopps gnome-session[3606]: SSH_AUTH_SOCK=/run/user/1000/keyring/ssh
Jul 12 08:32:13 Desktopps gnome-session[3606]: ** (process:3752): WARNING **: Failed to register client: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.SessionManager was not provided by any .service files

Don't know what this message means or how to address it. There are two other recent Ubuntu bugs complaining about this or the error "org.gnome.SessionManager was not provided by any .service files".
Bugs 1553466 and 1460508. Neither are resolved yet.

Cliff Carson (ccarson1) wrote :

Couldn't determine if the messages in append #15 had anything to do with the boot delay so went back to the timeout message and looked at the task that failed to start (at-spi-dbus-bus.desktop). It starts a launcher for Assistive Technology Service Provider Interface. Since at this time I've no use I'm removing the .desktop file and see what breaks.

As a side note bug 1595383 complains about the excessive timeout time (90 sec) and that it should be shorten or configurable. I agree.

Cliff Carson (ccarson1) wrote :

The removal of at-spi-dbus.desktop from /etc/xdg/autostart corrects the 90 sec delay at boot but the tasks started by this desktop file are up and running after logon under both gdm and my userid.

gdm 3171 1 0 06:37 tty7 00:00:00 /usr/lib/at-spi2-core/at-spi-bus-launcher
gdm 3176 3171 0 06:37 tty7 00:00:00 /usr/bin/dbus-daemon --config-file=/usr/share/defaults/at-spi2/accessibility.conf --nofork --print-address 3
gdm 3178 1 0 06:37 tty7 00:00:00 /usr/lib/at-spi2-core/at-spi2-registryd --use-gnome-session
cliff 3793 1 0 06:37 tty2 00:00:00 /usr/lib/at-spi2-core/at-spi-bus-launcher
cliff 3798 3793 0 06:37 tty2 00:00:00 /usr/bin/dbus-daemon --config-file=/usr/share/defaults/at-spi2/accessibility.conf --nofork --print-address 3
cliff 3800 1 0 06:37 tty2 00:00:00 /usr/lib/at-spi2-core/at-spi2-registryd --use-gnome-session

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers